%{?scl:%scl_package mcollective-service-common}
%{!?scl:%global pkg_name %{name}}

Summary: Start and stop system services
Name: %{?scl_prefix}mcollective-service-common
Version: 3.1.2
Release: 1%{?dist}
License: ASL 2.0
URL: http://projects.puppetlabs.com/projects/mcollective-plugins/wiki
Vendor: Puppet Labs
Packager: R.I.Pienaar
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-service-common-3.1.2.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1

%description
Start and stop system services

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/data
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/util
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/util/service
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/validator
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/agent

%{__install} -m0644 usr/libexec/mcollective/mcollective/data/service_data.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/data/service_data.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/data/service_data.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/data/service_data.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/util/service/puppetservice.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/util/service/puppetservice.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/util/service/base.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/util/service/base.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/validator/service_name.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/validator/service_name.rb
%{__install} -m0644 usr/libexec/mcollective/mcollective/validator/service_name.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/validator/service_name.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/agent/service.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/service.ddl

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/data/service_data.ddl
%{_libexecdir}/mcollective/mcollective/data/service_data.rb
%{_libexecdir}/mcollective/mcollective/util/service/puppetservice.rb
%{_libexecdir}/mcollective/mcollective/util/service/base.rb
%{_libexecdir}/mcollective/mcollective/validator/service_name.rb
%{_libexecdir}/mcollective/mcollective/validator/service_name.ddl
%{_libexecdir}/mcollective/mcollective/agent/service.ddl

%changelog
* Fri Mar 08 2013 R.I.Pienaar - 3.1.2-1
- Built Package mcollective-service-common
